Bug 12638 - Сбой загрузки модуля SCSI sym53c8xx
: Сбой загрузки модуля SCSI sym53c8xx
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-smp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-27 13:24 by
Modified: 2008-07-06 15:35 (History)


Attachments
Непосредственно перед сбоем... (44.73 KB, image/jpeg)
2007-08-27 13:26, Yury Aliaev
no flags Details
...и сразу после него (42.36 KB, image/jpeg)
2007-08-27 13:27, Yury Aliaev
no flags Details
1-ая картинка (86.01 KB, image/jpeg)
2007-09-04 14:03, Yury Aliaev
no flags Details
2-ой кадр (83.80 KB, image/jpeg)
2007-09-04 14:04, Yury Aliaev
no flags Details
3-ий кадр (77.08 KB, image/jpeg)
2007-09-04 14:04, Yury Aliaev
no flags Details
4-ый кадр (62.80 KB, image/jpeg)
2007-09-04 14:05, Yury Aliaev
no flags Details
5-ый кадр (55.99 KB, image/jpeg)
2007-09-04 14:05, Yury Aliaev
no flags Details
6-ой кадр (50.74 KB, image/jpeg)
2007-09-04 14:06, Yury Aliaev
no flags Details
7-ой кадр (48.81 KB, image/jpeg)
2007-09-04 14:08, Yury Aliaev
no flags Details
8-ой кадр (47.72 KB, image/jpeg)
2007-09-04 14:09, Yury Aliaev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-27 13:24:36
При запуске ядра версии 2.6.18-alt6 на компьютере с утановленным SCSI host
adepter'ом с чипом ncr53c810 (аналог Symbios Logic sym53c810) происходит общий
сбой с дальнейшим зависанием системы. Прилагаемые фотографии иллюстрируют
проблему.
------- Comment #1 From 2007-08-27 13:26:47 -------
Created an attachment (id=2167) [details]
Непосредственно перед сбоем...

Снимок с экрана непосредственно перед сбоем...
------- Comment #2 From 2007-08-27 13:27:31 -------
Created an attachment (id=2168) [details]
...и сразу после него

А это, собственно, сама картина сбоя.
------- Comment #3 From 2007-08-27 14:18:51 -------
Есть возможность повторить при загрузке с vga=ext, чтобы при сбое на экране
осталось больше информации?

И это случайно не та же машина, что и в bug #3854? Там сильно сломан IRQ
routing
в BIOS, а объезд через setpci теперь нужно как-то тащить в initrd (или
запрещать
помещение проблемных модулей в initrd, чтобы была возможность выполнить setpci
до их загрузки).
------- Comment #4 From 2007-08-27 14:29:28 -------
Хорошо, пришлю с vga=ext (через неделю, т.к. инет сейчас эпизодически). А
машина
как раз та самая, но ведь в 2.6.16 поддержка sym53c810 работала на ура... Или в
2.6.18 появились принципиальные изменения?
------- Comment #5 From 2007-08-27 17:08:49 -------
Есть предложение не бутаться с этого контроллера на системе с настолько
сломанным BIOS.  А при использовании корня на IDE использовать setpci перед
загрузкой sym53c8xx.ko.

Бишь WONTFIX.
------- Comment #6 From 2007-08-28 12:42:41 -------
И ещё одно -- всё-таки не надо разводить кучу дупов без причины, да ещё и с
задранным severity.  Баги всегда осмысленно по возможности сводить к
первообразной, к их root cause.  В данном случае она как минимум не в /сборках/
ядра, а в том, что на 2.6.16 тебе повезло и кривизна фирмваре чем-то
компенсировалась, в 2.6.18 же -- нет.

Я бы пробовал собрать vanilla 2.6.18 и если взрывается там -- тогда идти в
ядерную багзилу, если нет -- вот тогда уже к сборщикам альтовых ядер.

Ставлю литр "Черниговского" на то, что ванилла тоже взорвётся, по крайней мере
с
тем .config, который идёт в пакете.
------- Comment #7 From 2007-09-04 14:01:23 -------
1) В моей настоящей конфигурации загрузка идет с IDE, на SCSI организован своп.
Тем не менее ядро взрывается;
2) "Куча" (всего лишь 2, между прочим...) повторов вызвана тем, что у разных
ядер несколько разные мэйнтэйнеры и я стаивл целью привлечь к проблеме как
можно
больше народа :-);
3) "кривизна фирмваре чем-то компенсировалась" во _всех_ ядрах, с которыми мне
ранее приходилось работать от 2.2.5 до 2.6.16 включительно. Поэтому меня
терзают
мутные сомнения, что в данном конкретном случае дело не в БСВВ, а всё же в
поддержке 53с810 именно в 2.6.18.

Ну и напоследок: сейчас будут комиксы про загрузку 2.6.18 на моей машине =)
------- Comment #8 From 2007-09-04 14:03:36 -------
Created an attachment (id=2174) [details]
1-ая картинка

Заснял процесс загрузки на видео, из этого сделал вот такой комикс. Вроде
ничего не пропустил...
------- Comment #9 From 2007-09-04 14:04:17 -------
Created an attachment (id=2175) [details]
2-ой кадр
------- Comment #10 From 2007-09-04 14:04:54 -------
Created an attachment (id=2176) [details]
3-ий кадр
------- Comment #11 From 2007-09-04 14:05:30 -------
Created an attachment (id=2177) [details]
4-ый кадр
------- Comment #12 From 2007-09-04 14:05:57 -------
Created an attachment (id=2178) [details]
5-ый кадр
------- Comment #13 From 2007-09-04 14:06:51 -------
Created an attachment (id=2179) [details]
6-ой кадр
------- Comment #14 From 2007-09-04 14:08:20 -------
Created an attachment (id=2180) [details]
7-ой кадр
------- Comment #15 From 2007-09-04 14:09:04 -------
Created an attachment (id=2181) [details]
8-ой кадр

А после этого наблюдается уже знакомый фейерверк...
------- Comment #16 From 2007-09-04 19:23:00 -------
(In reply to comment #7)
> 2) "Куча" (всего лишь 2, между прочим...) повторов вызвана тем, что у разных
> ядер несколько разные мэйнтэйнеры и я стаивл целью привлечь к проблеме как можно
> больше народа :-);
Ну и зачем держать кривое железо и на каждый левый подземный стук созывать всех
и без того занятых людей?  Смысл какой в этом?  Хочется потрахаться с кривулиной
и принципиально допинать её до победного конца -- извини, сидишь и трахаешься сам.

Иначе я бы уже густо покраснел после первого случая, когда кому-то компостировал
мозги именно кривой железкой, и выкинул её (в лучшем случае на стенд, чтоб
проверять, способно ли текущее ядро и такое железо поднять или нет).

Пойми, это просто неконструктивно -- предлагать другим решать свои проблемы,
которые разумным путём не хочешь решать из принципа "куплено -- должно работать" :-(
------- Comment #17 From 2008-07-06 15:35:33 -------
apparently wontfix